List Firewall NAT Rules
const url = 'https://sylve.lan:8181/api/network/firewall/nat';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/network/firewall/nat \ --header 'Authorization: <Authorization>'List all user-visible firewall NAT rules in evaluation order
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
object
object
object
object
IP, CIDR, port, country code, FQDN, etc.
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
object
object
IP, CIDR, port, country code, FQDN, etc.
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
object
object
IP, CIDR, port, country code, FQDN, etc.
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
On style match
Any|inet|inet6
Received-on style match
Snat|dnat|binat
object
object
IP, CIDR, port, country code, FQDN, etc.
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
object
object
IP, CIDR, port, country code, FQDN, etc.
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
Interface|address
object
object
IP, CIDR, port, country code, FQDN, etc.
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
Examplegenerated
{ "data": [ { "createdAt": "example", "description": "example", "destObj": { "autoUpdate": true, "createdAt": "example", "description": "example", "entries": [ { "createdAt": "example", "id": 1, "objectId": 1, "updatedAt": "example", "value": "example" } ], "id": 1, "isUsed": true, "isUsedBy": "example", "lastRefreshAt": "example", "lastRefreshError": "example", "name": "example", "refreshIntervalSeconds": 1, "resolutionChecksum": "example", "resolutions": [ { "createdAt": "example", "id": 1, "objectId": 1, "resolvedIp": "example", "resolvedValue": "example", "updatedAt": "example" } ], "sourceChecksum": "example", "type": "example", "updatedAt": "example", "usedBy": [ { "id": 1, "name": "example", "type": "example" } ] }, "destObjId": 1, "destRaw": "example", "dnatTargetObj": { "autoUpdate": true, "createdAt": "example", "description": "example", "entries": [ { "createdAt": "example", "id": 1, "objectId": 1, "updatedAt": "example", "value": "example" } ], "id": 1, "isUsed": true, "isUsedBy": "example", "lastRefreshAt": "example", "lastRefreshError": "example", "name": "example", "refreshIntervalSeconds": 1, "resolutionChecksum": "example", "resolutions": [ { "createdAt": "example", "id": 1, "objectId": 1, "resolvedIp": "example", "resolvedValue": "example", "updatedAt": "example" } ], "sourceChecksum": "example", "type": "example", "updatedAt": "example", "usedBy": [ { "id": 1, "name": "example", "type": "example" } ] }, "dnatTargetObjId": 1, "dnatTargetRaw": "example", "dstPortObj": { "autoUpdate": true, "createdAt": "example", "description": "example", "entries": [ { "createdAt": "example", "id": 1, "objectId": 1, "updatedAt": "example", "value": "example" } ], "id": 1, "isUsed": true, "isUsedBy": "example", "lastRefreshAt": "example", "lastRefreshError": "example", "name": "example", "refreshIntervalSeconds": 1, "resolutionChecksum": "example", "resolutions": [ { "createdAt": "example", "id": 1, "objectId": 1, "resolvedIp": "example", "resolvedValue": "example", "updatedAt": "example" } ], "sourceChecksum": "example", "type": "example", "updatedAt": "example", "usedBy": [ { "id": 1, "name": "example", "type": "example" } ] }, "dstPortObjId": 1, "dstPortsRaw": "example", "egressInterfaces": [ "example" ], "enabled": true, "family": "example", "id": 1, "ingressInterfaces": [ "example" ], "log": true, "name": "example", "natType": "example", "passRedirectedTraffic": true, "policyRouteGateway": "example", "policyRoutingEnabled": true, "priority": 1, "protocol": "example", "redirectPortObj": { "autoUpdate": true, "createdAt": "example", "description": "example", "entries": [ { "createdAt": "example", "id": 1, "objectId": 1, "updatedAt": "example", "value": "example" } ], "id": 1, "isUsed": true, "isUsedBy": "example", "lastRefreshAt": "example", "lastRefreshError": "example", "name": "example", "refreshIntervalSeconds": 1, "resolutionChecksum": "example", "resolutions": [ { "createdAt": "example", "id": 1, "objectId": 1, "resolvedIp": "example", "resolvedValue": "example", "updatedAt": "example" } ], "sourceChecksum": "example", "type": "example", "updatedAt": "example", "usedBy": [ { "id": 1, "name": "example", "type": "example" } ] }, "redirectPortObjId": 1, "redirectPortsRaw": "example", "sourceObj": { "autoUpdate": true, "createdAt": "example", "description": "example", "entries": [ { "createdAt": "example", "id": 1, "objectId": 1, "updatedAt": "example", "value": "example" } ], "id": 1, "isUsed": true, "isUsedBy": "example", "lastRefreshAt": "example", "lastRefreshError": "example", "name": "example", "refreshIntervalSeconds": 1, "resolutionChecksum": "example", "resolutions": [ { "createdAt": "example", "id": 1, "objectId": 1, "resolvedIp": "example", "resolvedValue": "example", "updatedAt": "example" } ], "sourceChecksum": "example", "type": "example", "updatedAt": "example", "usedBy": [ { "id": 1, "name": "example", "type": "example" } ] }, "sourceObjId": 1, "sourceRaw": "example", "targetAddressScope": "example", "targetHandling": "example", "translateMode": "example", "translateToObj": { "autoUpdate": true, "createdAt": "example", "description": "example", "entries": [ { "createdAt": "example", "id": 1, "objectId": 1, "updatedAt": "example", "value": "example" } ], "id": 1, "isUsed": true, "isUsedBy": "example", "lastRefreshAt": "example", "lastRefreshError": "example", "name": "example", "refreshIntervalSeconds": 1, "resolutionChecksum": "example", "resolutions": [ { "createdAt": "example", "id": 1, "objectId": 1, "resolvedIp": "example", "resolvedValue": "example", "updatedAt": "example" } ], "sourceChecksum": "example", "type": "example", "updatedAt": "example", "usedBy": [ { "id": 1, "name": "example", "type": "example" } ] }, "translateToObjId": 1, "translateToRaw": "example", "updatedAt": "example", "visible": true } ], "error": "example", "message": "example", "status": "example"}Unauthorized
object
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
object
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}